Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-04-2016 16:40:22

LouisV
Membre
Distrib. : Debian 8.4.0
Noyau : Linux 3.16.0-4-686-pae
(G)UI : LXDE
Inscription : 17-04-2016

[Résolu] Installation de python-wxgtk2.8 impossible et pourtant nécess

Salut,

Je veux utiliser Printrun sur mon PC (Debian 8.4.0 LXDE).

J'ai voulu procéder comme indiqué sur la page readme.md de Printrun :
github.com/kliment/Printrun/blob/master/README.md

J'ai fait dans un terminal root :

apt-getinstall python-serial python-wxgtk2.8 python-pyglet python-numpy cython python-libxml2 python-gobject python-dbus python-psutil python-cairosvg git


J'obtiens comme résultat :

...
Package python-wxgtl2.8 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsolated, or
is only available from another source

E: Package 'python-wxgtk2.8' has no installation candidate



Si je fais quand même l'opération préconisée suivante :

git clone https://github.com/kliment/Printrun.git


tout se passe bien ; mais quand je veux lancer le logiciel (en allant dans le dossier Printrun et en double-cliquant sur pronterface.py) la commande ne s'exécute pas.

Si je lance la commande depuis un terminal, j'obtiens :

./pronterface.py


wxPython is not installed. This program requires wxPython to run.
Traceback (most recent call last):
  File "./pronterface.py", line 22, in <module>
    import wx  # NOQA
ImportError: No module named wx
 



Auriez-vous une idée pour m'aider ?

D'avance merci,

LouisV

Dernière modification par LouisV (17-04-2016 21:35:20)

Hors ligne

#2 17-04-2016 17:18:35

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu] Installation de python-wxgtk2.8 impossible et pourtant nécess

Bonjour

Le paquet python-wxgtk2.8 n'existe pas sous Debian Jessie. Il existe par contre python-wxgtk3.0. Après un petit essai, l'import du module wx via la console python fonctionne. Tu peux donc essayer d'installer ce paquet en version 3.

apt-get install python-wxgtk3.0


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#3 17-04-2016 17:30:29

LouisV
Membre
Distrib. : Debian 8.4.0
Noyau : Linux 3.16.0-4-686-pae
(G)UI : LXDE
Inscription : 17-04-2016

Re : [Résolu] Installation de python-wxgtk2.8 impossible et pourtant nécess

Merci Ben ! smile

J'essaierai ça tout-à-l'heure.

Bonne fin de journée,
Louis

Hors ligne

#4 17-04-2016 21:32:56

LouisV
Membre
Distrib. : Debian 8.4.0
Noyau : Linux 3.16.0-4-686-pae
(G)UI : LXDE
Inscription : 17-04-2016

Re : [Résolu] Installation de python-wxgtk2.8 impossible et pourtant nécess

Bonsoir,

Oui, c'était la solution.
Ça marche !

Alors merci Ben, et bonne soirée à tous,
Louis

Hors ligne

Pied de page des forums